> ## Documentation Index
> Fetch the complete documentation index at: https://docs.valyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Filter Billing Reports



## OpenAPI

````yaml GET /billing/billingReport/filter
openapi: 3.1.0
info:
  title: OpenAPI Valyx API
  description: To demonstrate features in the Valyx
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.valyx.com
security:
  - bearerAuth:
      - demo-api
tags:
  - name: billing
    description: External Billing APIs
  - name: external
    description: External APIs for customers
  - name: invoice
    description: Invoice APIs
  - name: creditNote
    description: Credit Note APIs
paths:
  /billing/billingReport/filter:
    get:
      tags:
        - billing
      operationId: get_fetch_billing_report_filter
      parameters:
        - name: billId
          in: query
          description: Bill ID associated with the billing report
          schema:
            type: string
        - name: contractNumber
          in: query
          description: Contract number associated with the billing report
          schema:
            type: string
        - name: customerId
          in: query
          schema:
            type: string
        - name: billAmountStart
          in: query
          description: Min limit filter for the total bill amount
          schema:
            type: number
        - name: billAmountEnd
          in: query
          description: Max limit filter for the total bill amount
          schema:
            type: number
        - name: pageSize
          in: query
          required: true
          schema:
            type: integer
        - name: pageNumber
          in: query
          required: true
          schema:
            type: integer
        - name: X-Valyx-Signature
          in: header
          required: true
          description: Auth key for fetching ledger entries
          schema:
            type: string
      responses:
        '200':
          description: Success
components: {}

````